Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008493 [DCSS] Bug Report major always 2014-05-04 20:02 2014-05-09 20:56
Reporter MarvinPA View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008493: Throwing weapons use wielded melee weapon/weapon skill
Description ranged_attack::using_weapon() always returns true for thrown weapons (stones, darts, javelins), and as a result the wielded melee weapon is used for various calculations when throwing (in particular for damage, applying weapon enchantment bonuses, deciding which weapon skill to use, etc). This also results in some weapon brands being applied to thrown objects (for example, throwing a stone while wielding a bow of venom will apply poison).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026047)
sgrunt (administrator)
2014-05-05 02:39

Fixed by 0.15-a0-415-gdbbd74f. Oops.

- Issue History
Date Modified Username Field Change
2014-05-04 20:02 MarvinPA New Issue
2014-05-04 20:02 MarvinPA Operating System CDO => All
2014-05-04 20:02 MarvinPA Console or Tiles Console => Both
2014-05-05 02:39 sgrunt Note Added: 0026047
2014-05-05 02:39 sgrunt Assigned To => sgrunt
2014-05-05 02:39 sgrunt Status new => resolved
2014-05-05 02:39 sgrunt Resolution open => done
2014-05-05 02:39 sgrunt Fixed in Branch => 0.15 development branch
2014-05-09 20:56 MarvinPA Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker